Package ru.bitel.bgbilling.plugins.cladr.server.dao

# Class AddressDBFDAO

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.plugins.cladr.server.dao.AddressDBFDAO

public class AddressDBFDAO extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressDBFDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addIndex()`
  `ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress`
  `getAddressByCode(String code)`
  `ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress`
  `getAddressLevelByCode(String code, int level)`
  `List<String>`
  `getCodesBySearchString(String[] words)`
  `List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrHouse>`
  `getHouseByCode(String code)`
  `List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress>`
  `getStreetByCode(String code)`
  `List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress>`
  `getStreetByTitleWord(String code, String[] words)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressDBFDAO

    public AddressDBFDAO(Connection con)

- ## Method Details

  - ### addIndex

    public void addIndex() throws SQLException
    Throws:
      `SQLException`

  - ### getCodesBySearchString

    public List<String> getCodesBySearchString(String[] words) throws SQLException
    Throws:
      `SQLException`

  - ### getAddressByCode

    public ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress getAddressByCode(String code) throws SQLException
    Throws:
      `SQLException`

  - ### getAddressLevelByCode

    public ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress getAddressLevelByCode(String code, int level) throws SQLException
    Throws:
      `SQLException`

  - ### getStreetByCode

    public List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress> getStreetByCode(String code) throws SQLException
    Throws:
      `SQLException`

  - ### getStreetByTitleWord

    public List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrAddress> getStreetByTitleWord(String code, String[] words) throws SQLException
    Throws:
      `SQLException`

  - ### getHouseByCode

    public List<ru.bitel.bgbilling.plugins.cladr.common.model.CladrHouse> getHouseByCode(String code) throws SQLException
    Throws:
      `SQLException`